﻿*, *:before, *:after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html, body {
    height: 100%;
    overflow: hidden;
}

svg {
    display: inline-block;
    width: 1.5rem;
    height: 1.5em;
    overflow: visible;
}

.svg-Icon {
    cursor: pointer;
}

    .svg-Icon path {
        stroke: rgba(255, 255, 255, 0.9);
        fill: none;
        stroke-width: 1;
    }

.navbar-fixed-top {
    visibility: hidden !important;
}

input, button {
    outline: none;
    border: none;
}

body {
    position: relative;
    height: 100%;
    background-image: url('../images/TLM-Ship.png');
    background-size: cover;
    overflow: auto;
    font-family: Roboto,'Helvetica Neue','Segoe UI',Helvetica,Verdana,sans-serif !important;
}

.Login-Container {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -15rem;
    margin-top: -26.5rem;
    width: 30rem;
    height: 53rem;
    overflow: hidden;
}

.Login {
    position: relative;
    height: 100%;
    background: linear-gradient(to bottom, rgba(146, 135, 187, 0.8) 0%, rgba(0, 0, 0, 0.6) 100%);
    transition: opacity 0.1s, transform 0.3s cubic-bezier(0.17, -0.65, 0.665, 1.25);
    transform: scale(1);
}

    .Login.inactive {
        opacity: 0;
        transform: scale(1.1);
    }

.Login-TLM-Logo {
    padding-left: 6em;
    padding-top: 10em;
}

    .Login-TLM-Logo img {
        width: 150px;
    }

.Login-Form {
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 50%;
    padding: 1.5rem 2.5rem;
    text-align: center;
}

.Login-Row {
    height: 6rem;
    padding-top: 2rem;
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
}

.Login-Icon {
    margin-bottom: -0.4rem;
    margin-right: 0.5rem;
}

    .Login-Icon.name path {
        stroke-dasharray: 73.5019607544;
        stroke-dashoffset: 73.5019607544;
        animation: animatePath 2s 0.5s forwards;
    }

    .Login-Icon.pass path {
        stroke-dasharray: 92.106628418;
        stroke-dashoffset: 92.106628418;
        animation: animatePath 2s 0.5s forwards;
    }

.Login-input {
    display: inline-block;
    width: 22rem;
    height: 100%;
    padding-left: 1.5rem;
    font-size: 12px;
    background: transparent;
    color: #fdfcfd;
}

.Login-submit {
    position: relative;
    width: 100%;
    height: 4rem;
    margin: 5rem 0 2.2rem;
    color: rgba(255, 255, 255, 0.8);
    background: #f36;
    font-size: 1.5rem;
    border-radius: 3rem;
    cursor: pointer;
    overflow: hidden;
    transition: width 0.3s 0.15s, font-size 0.1s 0.15s;
}

    .Login-submit:after {
        content: "";
        position: absolute;
        top: 50%;
        left: 50%;
        margin-left: -1.5rem;
        margin-top: -1.5rem;
        width: 3rem;
        height: 3rem;
        border: 2px dotted #fff;
        border-radius: 50%;
        border-left: none;
        border-bottom: none;
        transition: opacity 0.1s 0.4s;
        opacity: 0;
    }

.processing {
    width: 4rem;
    font-size: 0;
    background-image: url(https://thumbs.gfycat.com/MadeupWillingKronosaurus-small.gif);
    background-size: 35px 35px;
    background-position: center center;
    background-position-x: center;
    background-position-y: center;
    background-repeat: no-repeat;
    pointer-events: none !important;
}

.Login-submit.success {
    transition: transform 0.3s 0.1s ease-out, opacity 0.1s 0.3s, background-color 0.1s 0.3s;
    transform: scale(30);
    opacity: 0.9;
}

    .Login-submit.success:after {
        transition: opacity 0.1s 0s;
        opacity: 0;
        animation: none;
    }

.Login-signup {
    font-size: 1.2rem;
    color: #aba8ae;
}

    .Login-signup a {
        color: #fff;
        cursor: pointer;
    }

.app {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    display: none;
    transition: opacity 0.1s, transform 0.3s cubic-bezier(0.68, -0.45, 0.465, 1.25);
    transform: scale(1.2);
}

    .app.active {
        opacity: 1;
        transform: scale(1);
    }

        .app.active .app-user-photo {
            transform: scale(1);
        }

        .app.active .app-meeting {
            transform: translateY(0);
            opacity: 1;
        }

        .app.active .app-logout {
            transform: scale(1);
        }

.app-top {
    position: relative;
    height: 28rem;
    background: rgba(0, 0, 0, 0.5);
    padding: 6rem 1.5rem 2rem;
    text-align: center;
}

.app-bot {
    position: relative;
    height: 25rem;
    background: #fff;
}

.app-menu-btn {
    position: absolute;
    top: 2rem;
    left: 1.5rem;
    width: 1.8rem;
    height: 1.7rem;
    cursor: pointer;
}

    .app-menu-btn span, .app-menu-btn:before, .app-menu-btn:after {
        position: absolute;
        left: 0;
        width: 100%;
        height: 1px;
        background: rgba(255, 255, 255, 0.6);
    }

    .app-menu-btn span {
        top: 0.8rem;
    }

    .app-menu-btn:before {
        content: "";
        top: 0;
    }

    .app-menu-btn:after {
        content: "";
        bottom: 0;
    }

.app-Icon {
    position: absolute;
    top: 2rem;
}

    .app-Icon.search {
        right: 1.5rem;
        stroke-dasharray: 61.8471374512;
        stroke-dashoffset: 61.8471374512;
        animation: animatePath 0.5s 0.5s forwards;
    }

.app-hello {
    font-size: 2.2rem;
    color: #fff;
    font-weight: normal;
    margin-bottom: 3rem;
}

.app-user {
    position: relative;
    display: inline-block;
    width: 9rem;
    height: 9rem;
    margin-bottom: 3rem;
}

.app-user-photo {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    transition: transform 0.3s 0.2s cubic-bezier(0.62, 0.35, 0.56, 1.55);
    transform: scale(0);
}

.app-user-notif {
    position: absolute;
    top: 0;
    right: 0;
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
    line-height: 3rem;
    text-align: center;
    background: #50d2c2;
    color: #fff;
    font-size: 1.5rem;
}

.app-month:after {
    content: "";
    display: table;
    clear: both;
}

.app-month-name {
    display: inline-block;
    color: rgba(255, 255, 255, 0.6);
    font-size: 1.2rem;
    text-transform: uppercase;
}

.app-month-btn {
    display: inline-block;
    width: 1.2rem;
    height: 1.2rem;
    border: 1px solid rgba(255, 255, 255, 0.6);
    border-left: none;
    border-bottom: none;
    cursor: pointer;
}

    .app-month-btn.left {
        float: left;
        transform: rotate(-135deg);
    }

    .app-month-btn.right {
        float: right;
        transform: rotate(45deg);
    }

.app-days {
    height: 7rem;
    padding: 1.5rem 2rem;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.app-day {
    width: 14%;
    text-align: center;
    font-size: 1.2rem;
}

    .app-day.weekday {
        color: #919197;
        text-transform: uppercase;
    }

    .app-day.date {
        font-size: 1.2rem;
        font-weight: bold;
        color: #3c3c43;
    }

.app-meeting {
    position: relative;
    height: 6rem;
    border-top: 1px solid #eeeeef;
    padding: 1rem 2rem 1rem 7.5rem;
    transition: transform 0.3s, opacity 0.3s;
    transform: translateY(-50%);
    opacity: 0;
}

    .app-meeting:nth-child(1) {
        transition-delay: 0.2s;
    }

    .app-meeting:nth-child(2) {
        transition-delay: 0.3s;
    }

    .app-meeting:nth-child(3) {
        transition-delay: 0.4s;
    }

    .app-meeting:nth-child(4) {
        transition-delay: 0.5s;
    }

    .app-meeting:nth-child(5) {
        transition-delay: 0.6s;
    }

.app-meeting-photo {
    position: absolute;
    left: 2rem;
    top: 1rem;
    width: 4rem;
    height: 4rem;
}

.app-meeting-name {
    color: #000;
    font-size: 1.3rem;
}

.app-meeting-info {
    color: #949498;
    font-size: 1.1rem;
}

.app-logout {
    position: absolute;
    bottom: 3.3rem;
    right: 3.3rem;
    width: 4.6rem;
    height: 4.6rem;
    margin-right: -2.3rem;
    margin-bottom: -2.3rem;
    background: #fc3768;
    color: #fff;
    font-size: 2rem;
    border-radius: 50%;
    cursor: pointer;
    transition: bottom 0.4s 0.1s, right 0.4s 0.1s, transform 0.4s 0.4s, opacity 0.1s 0.7s, background-color 0.1s 0.7s;
    transform: scale(0);
}

    .app-logout.clicked {
        bottom: 50%;
        right: 50%;
        transform: scale(30) !important;
        opacity: 0.9;
    }

        .app-logout.clicked svg {
            opacity: 0;
        }

.app-logout-Icon {
    position: absolute;
    width: 3rem;
    height: 3rem;
    top: 50%;
    left: 50%;
    margin-left: -1.5rem;
    margin-top: -1.5rem;
    transition: opacity 0.1s;
}

    .app-logout-Icon path {
        stroke-width: 4px;
        stroke-dasharray: 64.3623504639;
        stroke-dashoffset: 64.3623504639;
        animation: animatePath 0.5s 0.5s forwards;
    }

.ripple {
    position: absolute;
    width: 15rem;
    height: 15rem;
    margin-left: -7.5rem;
    margin-top: -7.5rem;
    background: rgba(0, 0, 0, 0.4);
    transform: scale(0);
    animation: animRipple 0.4s;
    border-radius: 50%;
}

.Error-Validation {
    color: #fff;
    font-size: 12px;
}

@keyframes animRipple {
    to {
        transform: scale(3.5);
        opacity: 0;
    }
}

@keyframes rotate {
    to {
        transform: rotate(360deg);
    }
}

@keyframes animatePath {
    to {
        stroke-dashoffset: 0;
    }
}

/*overwriting body and footer to match up with the css of the login form*/
.TLM-Footer {
    bottom: 0 !important;
    position: fixed !important;
}

.TLM-Emblem-Footer {
    margin-right: 46px !important;
}
